/*
 * transcodeur.c
 *
 * Created: 27/04/2021 14:01:46
 * Author : yboujon1
 */ 

#include "main.h"
#include "lcd.h"
#include "timerinterrupt.h"
#include "saisieuart.h"
#include "morse.h"
FILE std_out_lcd= FDEV_SETUP_STREAM(LCD_putchar, NULL,_FDEV_SETUP_WRITE);

int main(void)
{
	init_interruption();
	uart_init(UBRR_THEO);
	LCD_Init();
    int  taille=0;
    char  tab[MAX];
	stdout=&std_out_lcd;
	DDRB|=(1<<PB3);	
	while(1){
			saisie(tab,&taille);
			LCD_Command (CLEAR_DISPLAY);
			printf("%s",tab);
			maj2min_convert(tab,taille);
			latin2morse(tab,taille);
	};
}